package com.seatel.mobilehall.ui.yes_member.interactor

import com.android.volley.VolleyError
import com.seatel.mobilehall.ui.yes_member.model.PartnerCategoryModelItem
import com.seatel.mobilehall.ui.yes_member.model.PartnerModelItem

interface PartnerSearchInteractor {

    interface View {

        fun onTopPartnerSucceed(partnerSearchList: ArrayList<PartnerModelItem>)
        fun onTopPartnerFail(error: VolleyError)

        fun responsePartnerCategorySucceed(partnerCategory: ArrayList<PartnerCategoryModelItem>)
        fun responsePartnerCategoryFail(error: VolleyError)


    }

    interface Presenter {
        fun onTopPartner()
        fun onPartnerCategory()
    }
}